#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		majorver	%(echo %{version} | cut -d '.' -f1)
#-----------------------------------------------------------------------------
Name		:	enchant
Version		:	2.6.4
Release		:	17.2.0.rel%{?dist}
Summary		:	Generic spell checking library
Group		:	Application/libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	https://github.com/AbiWord/enchant/releases/download

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	glib-devel
BuildRequires	:	aspell
#-----------------------------------------------------------------------------
%description
Enchant aims to provide a simple but comprehensive abstraction for dealing
with different spell checking libraries in a consistent way. A client, such
as a text editor or word processor, need not know anything about a specific
spell-checker, and since all back-ends are plugins, new spell-checkers can
be added without needing any change to the program using Enchant.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS NEWS README
%{_bindir}/%{name}
%{_bindir}/%{name}*-%{majorver}
%{_includedir}/%{name}
%{_includedir}/%{name}-%{majorver}/*.h
%{_libdir}/lib%{name}.so
%{_libdir}/lib%{name}-%{majorver}.so*
%{_libdir}/%{name}-%{majorver}/%{name}_aspell.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/pkgconfig/%{name}-%{majorver}.pc
%{_datadir}/%{name}-%{majorver}/enchant.ordering
%{_defaultdocdir}/%{name}-%{version}/%{name}*.html
%{_mandir}/man1/*.1.gz
%{_mandir}/man5/%{name}.5.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

autoreconf -vif
./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--sharedstatedir=%{_var}/lib			\
	--localstatedir=%{_var}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\
	--with-hunspell=no				\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}							\
	DESTDIR=%{buildroot}					\
	install

#To remove libtool library
find 								\
	%{buildroot}%{_libdir}					\
	-name \*.la						\
	-delete

%{__ln_s} 							\
	%{name}-%{majorver}					\
	%{buildroot}%{_includedir}/%{name}

%{__ln_s} 							\
	%{name}-%{majorver}					\
	%{buildroot}%{_bindir}/%{name}

%{__ln_s} 							\
	lib%{name}-%{majorver}.so				\
	%{buildroot}%{_libdir}/lib%{name}.so

%{__ln_s} 							\
	%{name}-%{majorver}.pc					\
	%{buildroot}%{_libdir}/pkgconfig/%{name}.pc

#-----------------------------------------------------------------------------
%changelog
